> For the complete documentation index, see [llms.txt](https://docs.arkannis.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkannis.net/os/linux/install-update-guides/set-up-raspberry-pi.md).

# Set up Raspberry PI

### Steps:

1. Install Raspberry PI image (Raspbian) via Balena Etcher:
2. Set up SSH Access by creating an empty file called SSH:

```bash
touch /boot/ssh
```

1. Set up Wifi Connection by creating a file called **wpa\_supplicant.conf** in `/boot`

```bash
touch /boot/wpa_supplicant.conf
```

* Use the following config:

```bash
country=US # Your 2-digit country code
ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
network={
    ssid="YOUR_NETWORK_NAME"
    psk="YOUR_PASSWORD"
    key_mgmt=WPA-PSK
}
```

With this file in place, Raspberry Pi OS will automatically move it in `/etc/wpa_supplicant/` when the Raspberry Pi is booted.

{% hint style="info" %}
Log in via SSH &#x20;

Default user: `pi`

Default password: `raspberry`
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arkannis.net/os/linux/install-update-guides/set-up-raspberry-pi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
